Package org.globus.gsi.gssapi.net.impl

# Class GSIGssSocket

java.lang.Object
java.net.Socket
org.globus.net.WrappedSocket
org.globus.gsi.gssapi.net.GssSocket
org.globus.gsi.gssapi.net.impl.GSIGssSocket

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class GSIGssSocket extends GssSocket

## Field Summary

### Fields inherited from class org.globus.gsi.gssapi.net.GssSocket

`authorization, clientMode, context, GSI_MODE, in, mode, out, SSL_MODE`

### Fields inherited from class org.globus.net.WrappedSocket

`socket`

## Constructor Summary

Constructors
Constructor
Description
`GSIGssSocket(String host, int port, GSSContext context)`
`GSIGssSocket(Socket socket, GSSContext context)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getWrapMode()`
`protected byte[]`
`readToken()`
`void`
`setWrapMode(int mode)`
`protected void`
`writeToken(byte[] token)`

### Methods inherited from class org.globus.gsi.gssapi.net.GssSocket

`authenticateClient, authenticateServer, close, getAuthorization, getClientMode, getContext, getInputStream, getOutputStream, setAuthorization, setUseClientMode, startHandshake`

### Methods inherited from class org.globus.net.WrappedSocket

`getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getPort, getReceiveBufferSize, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getWrappedSocket, setKeepAlive, setReceiveBufferSize, setSendBufferSize, setSoLinger, setSoTimeout, setTcpNoDelay, shutdownInput, shutdownOutput, toString`

### Methods inherited from class java.net.Socket

`bind, connect, connect, getChannel, getLocalSocketAddress, getOOBInline, getOption, getRemoteSocketAddress, getReuseAddress, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setOOBInline, setOption, setPerformancePreferences, setReuseAddress, setSocketImplFactory, setTrafficClass, supportedOptions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GSIGssSocket

public GSIGssSocket(String host, int port, GSSContext context) throws IOException

Throws:
  `IOException`

### GSIGssSocket

public GSIGssSocket(Socket socket, GSSContext context)

## Method Details

### setWrapMode

public void setWrapMode(int mode)

Overrides:
  `setWrapMode` in class `GssSocket`

### getWrapMode

public int getWrapMode()

Overrides:
  `getWrapMode` in class `GssSocket`

### writeToken

protected void writeToken(byte[] token) throws IOException

Specified by:
  `writeToken` in class `GssSocket`
Throws:
  `IOException`

### readToken

protected byte[] readToken() throws IOException

Specified by:
  `readToken` in class `GssSocket`
Throws:
  `IOException`